Package dev.plex.admin

# Class Admin

java.lang.Object
dev.plex.admin.Admin

public class Admin extends Object
Admin object to handle cached admins

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`adminChat`
Returns if the admin has admin chat toggled or not
Contains a #isAdminChat and #setAdminChat by Lombok
`private boolean`
`commandSpy`
Returns if the admin has command spy or not
Contains a #isCommandSpy and #setCommandSpy by Lombok
`private Rank`
`rank`
Gets the rank of the admin
Contains a #setRank and #getRank by lombok
`private UUID`
`uuid`
Gets the unique ID of an admin (immutable)

## Constructor Summary

Constructors
Constructor
Description
`Admin(UUID uuid)`
Creates an admin with the ADMIN rank as the default rank

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### uuid

private UUID uuid
Gets the unique ID of an admin (immutable)

### rank

private Rank rank
Gets the rank of the admin
Contains a #setRank and #getRank by lombok

### commandSpy

private boolean commandSpy
Returns if the admin has command spy or not
Contains a #isCommandSpy and #setCommandSpy by Lombok

### adminChat

private boolean adminChat
Returns if the admin has admin chat toggled or not
Contains a #isAdminChat and #setAdminChat by Lombok

## Constructor Details

### Admin

public Admin(UUID uuid)
Creates an admin with the ADMIN rank as the default rank

Parameters:
  `uuid` -
See Also:
  - `UUID`
  - `Rank`